Skip to main content
`Ctrl`+`K`

# PCFieldSplitSetOffDiagUseAmat

set flag indicating whether to extract off-diagonal blocks from Amat (rather than Pmat) to build the sub-matrices associated with each split. Where `KSPSetOperators`(ksp,Amat,Pmat) was used to supply the operators.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetOffDiagUseAmat(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner object

- flg - boolean flag indicating whether or not to use Amat to extract the off-diagonal blocks from

## Options Database Key

- -pc_fieldsplit_off_diag_use_amat <bool> - use the Amat to extract the off-diagonal blocks

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCSetOperators()`, `KSPSetOperators()`, `PCFieldSplitGetOffDiagUseAmat()`, `PCFieldSplitSetDiagUseAmat()`, `PCFIELDSPLIT`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages